Subject: bug#54237: Disabling `scroll-bar-mode' fails when setting `default-frame-alist'

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 03 Mar 2022 16:20:53 +0100

Tor Kringeland <[email-masked]> writes:

>> `scroll-bar-mode' disables itself by altering default-frame-alist, so I
>> think what you're seeing is predictable?
>
> I see, I didn't know.  Can I disable `scroll-bar-mode' via
> `default-frame-alist' directly?

Yes, for new frames, you can just set:

(setq default-frame-alist '((vertical-scroll-bars)))

> The problem arose since `set-cursor-color' doesn't work when starting
> Emacs as a server so I changed `default-frame-alist' but that enabled
> `scroll-bar-mode' ...
>
> Feel free to close this as it's not a bug, then.

Perhaps this quirk should be documented in the scroll-bar-mode doc
string, though?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no